package com.vpn.fastestvpnservice.beans

import androidx.compose.runtime.MutableState
import androidx.compose.runtime.mutableStateOf

data class SubscriptionDataList(
    val title: String,
    val desc: String
)

val subscriptionList = listOf(
    SubscriptionDataList("Unlimited Data", "That Explains itself! No more bandwidth caps!"),
    SubscriptionDataList("Ad-Blocker", "Repel Ads with one click!"),
    SubscriptionDataList("10 Gbps Faster Connection","Servers are now faster than ever!"),
    SubscriptionDataList("Link unto 10 Devices","Protect multiple devices with one subscription!")
)

data class SubscriptionPackageList(
    val packageDuration: String,
    val planType: String,
    val desc: String,
    val price: String,
    var isSelected: MutableState<Boolean>
)

val subscriptionPackageList = listOf(
    SubscriptionPackageList(
        "Yearly", "Auto-Renewable",
        "Unlimited Access For Twelve Month", "Rs 6,900", mutableStateOf(true)
    ),
    SubscriptionPackageList(
        "Pro Monthly", "Auto-Renewable",
        "Unlimited Access For A Month", "Rs 550", mutableStateOf(false)),
    SubscriptionPackageList(
            "Lifetime", "Auto-Renewable",
    "Unlimited Access For Lifetime", "Rs 12,000", mutableStateOf(false))
)